Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.setup
Class SetupLicenseAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
                  com.atlassian.bamboo.ww2.actions.setup.SetupLicenseAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class SetupLicenseAction

extends AbstractSetupAction

Field Summary
`static String` | `BUILD_WORKING_DIR`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`SetupLicenseAction()`

Method Summary
`String` | `doDefault()`
`String` | `execute()`
`BambooLicenseManager` | `getBambooLicenseManager()`
`String` | `getBuildDir()`
`String` | `getBuildWorkingDir()`
`String` | `getConfigDir()`
`String` | `getLicenseString()`
`String` | `getSetupType()`
`String` | `getSid()`
`SIDManager` | `getSidManager()`
`String` | `getVersion()`
`void` | `setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)`
`void` | `setBuildDir(String buildDir)`
`void` | `setBuildWorkingDir(String buildWorkingDir)`
`void` | `setConfigDir(String configDir)`
`void` | `setLicenseString(String licenseString)`
`void` | `setSetupType(String setupType)`
`void` | `setSid(String sid)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
`getBootstrapManager, getSetupPersister, getSetupTypeInstall, setSetupPersister, setSetupTypeInstall`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### BUILD_WORKING_DIR

    public static final String BUILD_WORKING_DIR

See Also:
  Constant Field Values

Constructor Detail

### SetupLicenseAction

    public SetupLicenseAction()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### validate

    public void validate()

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### getConfigDir

    public String getConfigDir()

### setConfigDir

    public void setConfigDir(String configDir)

### getBuildDir

    public String getBuildDir()

### setBuildDir

    public void setBuildDir(String buildDir)

### getBuildWorkingDir

    public String getBuildWorkingDir()

### setBuildWorkingDir

    public void setBuildWorkingDir(String buildWorkingDir)

### getLicenseString

    public String getLicenseString()

### setLicenseString

    public void setLicenseString(String licenseString)

### getSid

    public String getSid()

### setSid

    public void setSid(String sid)

### getVersion

    public String getVersion()

### setBambooLicenseManager

    public void setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)

### getBambooLicenseManager

    public BambooLicenseManager getBambooLicenseManager()

### getSetupType

    public String getSetupType()

### setSetupType

    public void setSetupType(String setupType)

### getSidManager

    public SIDManager getSidManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.